%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define busname	org.gnome.Boxes

Name:		gnome-boxes
Version:	3.24.0
Release:	%mkrel 1
Summary:	A simple GNOME 3 application to access remote or virtual systems
Group:		Graphical desktop/GNOME
License:	GPLv2+
URL:		https://wiki.gnome.org/Boxes
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	vala >= 0.17.2
BuildRequires:	vala-tools
BuildRequires:	yelp-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.3.2
BuildRequires:	pkgconfig(clutter-1.0) >= 1.11.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.90
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.5
BuildRequires:	pkgconfig(gtk-vnc-2.0) >= 0.4.4
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libvirt-gobject-1.0) >= 0.2.3
BuildRequires:	pkgconfig(libvirt-gconfig-1.0) >= 0.1.9
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.8
BuildRequires:	pkgconfig(spice-client-gtk-3.0) >= 0.12.101
BuildRequires:	pkgconfig(gudev-1.0) >= 167
BuildRequires:	pkgconfig(libosinfo-1.0) >= 0.2.11
BuildRequires:	pkgconfig(tracker-sparql-1.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	itstool
BuildRequires:	libxml2-utils
# XXX - libvirtd service should be running
Requires:	libvirt-utils
Requires:	qemu-img
Requires:	qemu
# Needed for unattended installer:
Requires:	mtools
Requires:	fuseiso
# gnome-boxes uses a dark theme
Requires:	adwaita-icon-theme

%description
Boxes lets you easily create, setup, access, and use:
* remote machines
* remote virtual machines
* local virtual machines
* When technology permits, set up access for applications on local virtual machines.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make_build

%install
%make_install

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/org.gnome.Boxes.appdata.xml
%{_libexecdir}/gnome-boxes-search-provider
%{_datadir}/applications/%{busname}.desktop
%{_iconsdir}/hicolor/*/apps/gnome-boxes*.*
%{_datadir}/glib-2.0/schemas/org.gnome.boxes.gschema.xml
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/dbus-1/services/%{busname}.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/gnome-boxes-search-provider.ini


%changelog
* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094326
- new version 3.24.0

* Mon Feb 06 2017 ovitters <ovitters> 3.22.4-1.mga6
+ Revision: 1085014
- new version 3.22.4

* Fri Dec 23 2016 daviddavid <daviddavid> 3.22.3-2.mga6
+ Revision: 1076518
- rebuild for new spice-gtk 0.33

* Mon Nov 21 2016 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1068576
- new version 3.22.3

* Sat Nov 05 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065457
- new version 3.22.2

* Fri Oct 07 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059325
- new version 3.22.1

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055019
- new version 3.22.0

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011548
- new version 3.20.2

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994106
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992164
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 983840
- new version 3.19.91

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925503
- new version 3.19.4
- new version 3.19.3

  + tv <tv>
    - bump req on libvirt-gobject-1.0

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905155
- new version 3.19.1

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890093
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882838
- new release

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872123
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865787
- new version 3.17.90
- new version 3.17.4

* Wed Jun 24 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 842244
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 839763
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.3.1-1.mga6
+ Revision: 836428
- new version 3.14.3.1

* Wed Nov 12 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796552
- new version 3.14.2

* Wed Oct 15 2014 ovitters <ovitters> 3.14.1.1-1.mga5
+ Revision: 757164
- new version 3.14.1.1

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738311
- new version 3.14.1

* Sun Sep 28 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 731352
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679701
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 677585
- new version 3.13.92

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670970
- new version 3.13.91
- dropped merged patch 1

* Wed Aug 27 2014 pterjan <pterjan> 3.13.90-1.mga5
+ Revision: 668812
- Add missing BuildRequires for help
- Update libosinfo BuildRequires to the one really needed
- Add upstream patch fixing the build

  + ovitters <ovitters>
    - new version 3.13.90

* Mon Jul 21 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655250
- new version 3.13.4

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639398
- new version 3.13.3

* Tue Jun 24 2014 ovitters <ovitters> 3.12.3-1.mga5
+ Revision: 639362
- new version 3.12.3

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622492
- new version 3.12.2

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615146
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608001
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605213
- new version 3.11.92

* Tue Mar 04 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599541
- new version 3.11.91

* Wed Feb 19 2014 dams <dams> 3.11.90.1-2.mga5
+ Revision: 594771
- rebuild for new tracker

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90.1-1.mga5
+ Revision: 594529
- new version 3.11.90.1

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594038
- new version 3.11.90

* Thu Feb 06 2014 dams <dams> 3.11.5.1-1.mga5
+ Revision: 584022
- new version 3.11.5.1

* Wed Nov 20 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551978
- new version 3.10.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-3.mga4
+ Revision: 550156
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536434
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484279
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480892
- new version 3.9.92

* Wed Sep 04 2013 ovitters <ovitters> 3.9.91.1-1.mga4
+ Revision: 475195
- new version 3.9.91.1

* Tue Sep 03 2013 fwang <fwang> 3.9.91-1.mga4
+ Revision: 474554
- update file list

  + ovitters <ovitters>
    - new version 3.9.91

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468318
- new version 3.9.90

* Mon Jul 29 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460517
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 458365
- new version 3.9.3

* Sun Jul 14 2013 sander85 <sander85> 3.8.3-2.mga4
+ Revision: 454288
- Rebuild for new cogl

* Tue May 28 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 429406
- new version 3.8.3

* Sat May 25 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 427687
- update libvirt requirements
- buildrequire tracker-sparql-0.16 (not 0.14)
- buildrequire libosinfo >= 0.2.6

  + ovitters <ovitters>
    - br itstool,libxml2-utils
    - new version 3.8.2

* Mon Jan 14 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 388098
- new version 3.6.3

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317460
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1.1-1.mga3
+ Revision: 307300
- br libsoup-2.4
- new version 3.6.1.1
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297513
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296172
- new version 3.5.92

* Tue Sep 11 2012 ovitters <ovitters> 3.5.91-2.mga3
+ Revision: 292443
- update br
- rebuild; only src rpm was available

* Mon Sep 03 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287744
- new version 3.5.91

* Wed Aug 29 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285503
- update file list
- tweak vala br

  + ovitters <ovitters>
    - br pkgconfig(uuid)
    - new version 3.5.90

* Thu Aug 09 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280307
- update br
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4.1-1.mga3
+ Revision: 271426
- new version 3.5.4.1
- new version 3.5.4

* Tue Jul 03 2012 ovitters <ovitters> 3.5.3-2.mga3
+ Revision: 266988
- improve summary and description (thanks fedora:P)

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264573
- update br
- br clutter-1.0
- new version 3.5.3

* Sat Jun 09 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 258997
- new version 3.4.3

* Tue May 29 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 249211
- update buildrequires
- new version 3.4.2
- new version 3.4.1

* Sun Apr 01 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 227703
- update buildrequires
- new version 3.4.0.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226704
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225070
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219680
- bump req
- new version 3.3.91

* Thu Feb 23 2012 tv <tv> 3.3.90-2.mga2
+ Revision: 213165
- rebuild for new cogl

  + fwang <fwang>
    - fix br
    - new version 3.3.90

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5.1-1.mga2
+ Revision: 206537
- new version

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206511
- explicitly enable vala
- fix compilation using upstream instructions
- fix buildrequires
- new version

* Wed Jan 25 2012 ovitters <ovitters> 3.3.4.1-1.mga2
+ Revision: 201488
- new version

* Tue Jan 17 2012 fwang <fwang> 3.3.4-2.mga2
+ Revision: 197341
- rebuild for new cogl

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197018
- fix buildrequires
- new version

* Wed Jan 11 2012 ovitters <ovitters> 3.3.3-5.mga2
+ Revision: 194853
- fix requires

* Tue Jan 10 2012 ovitters <ovitters> 3.3.3-4.mga2
+ Revision: 194472
- even more requires

* Tue Jan 10 2012 ovitters <ovitters> 3.3.3-3.mga2
+ Revision: 194465
- fix more requires (thanks to Michael Hill)

* Tue Jan 10 2012 ovitters <ovitters> 3.3.3-2.mga2
+ Revision: 194464
- fix requires (thanks to Michael Hill)

* Wed Dec 21 2011 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 185369
- new version 3.3.3

* Thu Dec 01 2011 ovitters <ovitters> 3.3.2-2.mga2
+ Revision: 175024
- fix URL

* Thu Dec 01 2011 ovitters <ovitters> 3.3.2-1.mga2
+ Revision: 174969
- fix MimeType in desktop file
- Unity is not in .desktop file, no need to remove
- imported package gnome-boxes

